Ticket #2583 (closed enhancement: fixed)

Opened 9 years ago

Last modified 8 years ago

PC版メッセージお知らせメールでも件名・本文を確認できるようにする

Reported by: pnetan Assigned to: ruikubo
Priority: minor Milestone: OpenPNE2.13.7
Component: 指定しない Version:
Keywords: 2.11要望 Cc:

Description (Last modified by kudo)

■概要

PCに送られるメッセージお知らせメールに本文を含めるようにする

■仕様

PC版でも携帯版と同様に、本文も送信する。

■関連情報

元のDescription

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=17198より転記

メッセージお知らせメールですが、
携帯メールのほうでは件名、本文が見られるようになって、
すごく便利になりました^^

要望なのですが、PCメールでも
メッセージの件名、本文が見られるようにしてほしいです。

Attachments

trunk.patch (4.3 kB) - added by ruikubo on 02/06/09 20:32:22.
2系trunk版のパッチを作成したので添付します

Change History

02/06/09 20:32:22 changed by ruikubo

  • attachment trunk.patch added.

2系trunk版のパッチを作成したので添付します

02/09/09 17:43:04 changed by ruikubo

パッチの補足

PC向けメッセージお知らせメールの文言変更で、
携帯向けと同様に、下記の変数を設定できるようにしています。

  • $subject
  • $body

02/25/09 14:25:18 changed by kiwa

  • milestone set to OpenPNE2.13.7.

ありがとうございます!2.13.7で取り込みますー

03/11/09 15:26:52 changed by nakasone

  • keywords changed from 2.11要望 to 2.11要望 確認中.

以下のリビジョンで対応しました。

  • 添付されたパッチを当てる - r10993

04/07/09 15:53:03 changed by ogawa

  • keywords changed from 2.11要望 確認中 to 2.11要望 差し戻し.

メールテンプレートの1行目(メールの Subject に使用される)が削除されてしまっています。

04/07/09 17:53:41 changed by fukamachi

  • owner changed from nobody to fukamachi.
  • status changed from new to assigned.

修正します

04/07/09 18:01:37 changed by fukamachi

  • keywords changed from 2.11要望 差し戻し to 2.11要望 確認中.

r11230で修正しました。

04/08/09 19:05:15 changed by kawahara

コードチェックします。

04/08/09 19:20:23 changed by kawahara

  • keywords changed from 2.11要望 確認中 to 2.11要望 テスト待ち.

チェックしました。

04/08/09 21:43:24 changed by kawahara

  • description changed.

04/11/09 19:00:47 changed by kiwa

  • keywords changed from 2.11要望 テスト待ち to 2.11要望 差し戻し.

携帯と仕様を合わせるために件名・本文を一定文字数で切ったほうがいいとも思いますが、どうでしょう?

04/13/09 14:10:25 changed by fukamachi

  • keywords changed from 2.11要望 差し戻し to 2.11要望 確認中.

r11272で修正しました。

04/16/09 11:32:19 changed by kawahara

メッセージが一定文字数で切られるならば、メッセージ本文へのリンクをしたほうがいいと思いますが、どうでしょうか?

04/16/09 11:54:05 changed by kawahara

  • keywords changed from 2.11要望 確認中 to 2.11要望 テスト待ち.

メッセージ本文へのリンクについては、別の改善チケットとします。

04/16/09 12:05:32 changed by kawahara

#3833 メッセージお知らせメールでメッセージ本文に対してリンクするようにする

04/16/09 12:10:00 changed by kiwa

  • keywords changed from 2.11要望 テスト待ち to 2.11要望.
  • status changed from assigned to closed.
  • resolution set to fixed.
  • summary changed from メッセージお知らせメールをPCでも本文が見られるようにしてほしい to PC版メッセージお知らせメールでも件名・本文を確認できるようにする.

動作上の問題はありませんでした。

04/16/09 12:11:28 changed by kiwa

  • status changed from closed to reopened.
  • resolution deleted.

owner変更のためにreopenします

04/16/09 12:11:35 changed by kiwa

  • owner changed from fukamachi to ruikubo.
  • status changed from reopened to new.

04/16/09 12:11:40 changed by kiwa

  • status changed from new to closed.
  • resolution set to fixed.

05/25/09 11:21:27 changed by kudo

  • keywords changed from 2.11要望 to 2.11.

05/25/09 11:22:35 changed by kudo

  • keywords changed from 2.11 to 2.11要望.
  • description changed.